package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class JenisPajak
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "JenisPajak_M")
public class JenisPajakVO extends BaseMasterVO {
	@Caption(value="Deskripsi")
	private String deskripsi;

	public void setDeskripsi(String deskripsi) {
		this.deskripsi = deskripsi;
	}

	@Column(name = "Deskripsi", nullable = true , length = 300)
	public String getDeskripsi(){
		return this.deskripsi;
	}

	@Caption(value="Jenis Pajak")
	private String jenisPajak;

	public void setJenisPajak(String jenisPajak) {
		this.jenisPajak = jenisPajak;
	}

	@Column(name = "JenisPajak", nullable = false , length = 50)
	public String getJenisPajak(){
		return this.jenisPajak;
	}

	@Caption(value="Kode Jenis Pajak")
	private Byte kdJenisPajak;

	public void setKdJenisPajak(Byte kdJenisPajak) {
		this.kdJenisPajak = kdJenisPajak;
	}

	@Column(name = "KdJenisPajak", nullable = false )
	public Byte getKdJenisPajak(){
		return this.kdJenisPajak;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectJenisPajakHeadFk")
	@Caption(value="Object Jenis PajakVO Head")
	private JenisPajakVO jenisPajakHead;

	public void setJenisPajakHead(JenisPajakVO jenisPajakHead) {
		this.jenisPajakHead = jenisPajakHead;
	}

	@Column(name = "KdJenisPajakHead", nullable = true )
	public JenisPajakVO getJenisPajakHead(){
		return this.jenisPajakHead;
	}

	@Column(name = "ObjectJenisPajakHeadFk", insertable=false,updatable=false)
	private Integer jenisPajakHeadId;

	@Caption(value="QJenis Pajak")
	private Byte qJenisPajak;

	public void setqJenisPajak(Byte qJenisPajak) {
		this.qJenisPajak = qJenisPajak;
	}

	@Column(name = "QJenisPajak", nullable = false )
	public Byte getqJenisPajak(){
		return this.qJenisPajak;
	}

	/*//
	@OneToMany(fetch=FetchType.LAZY, cascade = CascadeType.ALL, mappedBy="kdjenispajakhead")
	private Set<JenisPajak> JenisPajakSet = new HashSet<JenisPajak>();

	public Set<JenisPajak> getJenisPajakSet() {
		return JenisPajakSet;
	}

	public void setJenisPajakSet(Set<JenisPajak> jenisPajakSet) {
		JenisPajakSet = jenisPajakSet;
	}*/

	
}

